Bug 178806 - Web Inspector: Canvas Tab: canvas path components from old page stick around when page is reloaded
Summary: Web Inspector: Canvas Tab: canvas path components from old page stick around ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL: http://acko.net
Keywords: InRadar
Depends on:
Blocks: WebInspectorCanvasTab
  Show dependency treegraph
 
Reported: 2017-10-25 10:15 PDT by Brian Burg
Modified: 2017-12-04 17:31 PST (History)
5 users (show)

See Also:


Attachments
Screenshot (426.10 KB, image/png)
2017-10-25 10:15 PDT, Brian Burg
no flags Details
Patch (16.30 KB, patch)
2017-10-25 15:49 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (16.81 KB, patch)
2017-10-26 18:24 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2017-10-25 10:15:03 PDT
Created attachment 324841 [details]
Screenshot

STR:

1. Load acko.net
2. Open Inspector, Canvases Tab
3. Reload the page several times
=> Now I have multiple Canvas 2, Canvas 3 path components
Comment 1 Radar WebKit Bug Importer 2017-10-25 10:15:18 PDT
<rdar://problem/35176360>
Comment 2 Devin Rousso 2017-10-25 15:49:01 PDT
Created attachment 324912 [details]
Patch
Comment 3 Brian Burg 2017-10-26 16:34:10 PDT
Comment on attachment 324912 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=324912&action=review

r=me

> Source/WebInspectorUI/ChangeLog:8
> +

You never really explained why the code was wrong or what the fix does differently.

> Source/WebInspectorUI/UserInterface/Views/CanvasTabContentView.js:185
> +        for (let recording of canvas.recordingCollection.items) {

I would comment here that we are converting the gone canvas' recordings to be imported recordings.
Comment 4 Devin Rousso 2017-10-26 18:24:02 PDT
Created attachment 325093 [details]
Patch

Added comments.  No change in logic.
Comment 5 WebKit Commit Bot 2017-10-26 19:20:08 PDT
Comment on attachment 325093 [details]
Patch

Clearing flags on attachment: 325093

Committed r224081: <https://trac.webkit.org/changeset/224081>
Comment 6 WebKit Commit Bot 2017-10-26 19:20:10 PDT
All reviewed patches have been landed.  Closing bug.